package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CostItemTypeEnum {
	/**
	 * 项目类型：1_辅料类型；2_人工类型；
	 */
	MATERIAL_TYPE(1, "辅料类型"),
	ARTIFICIAL_TYPE(2, "人工类型"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
